#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.1
visibility:           public
id:                   snap-core-1.0.4.1-L29zlnI8ynp3aHxGibNuxi
key:                  snap-core-1.0.4.1-L29zlnI8ynp3aHxGibNuxi
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  cf69219a7542b72a1a47171d5a47f9c2
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-8.8.3/site-local/snap-core-1.0.4.1
library-dirs:         /usr/lib/ghc-8.8.3/site-local/snap-core-1.0.4.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/snap-core-1.0.4.1
hs-libraries:         HSsnap-core-1.0.4.1-L29zlnI8ynp3aHxGibNuxi
depends:
    HUnit-1.6.0.0-KRZf8ATQTYB1fCFucEZucy
    attoparsec-0.13.2.3-8uxej3fQ96V7t9VRs63bGD base-4.13.0.0
    bytestring-0.10.10.0
    case-insensitive-1.2.1.0-CFENYIsBzRdLtvm9TEyykN containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1
    hashable-1.2.7.0-BxGxAJSPpuh3YKsULesjmE
    io-streams-1.5.1.0-5993b6IeaL72aOFkfTtDUC
    lifted-base-0.2.3.12-DS2H5bZN4FmFt0gomaPpvZ
    monad-control-1.0.2.3-BTKCp4dN9pbIDrrf3FPt1M mtl-2.2.2
    network-2.8.0.1-9T0nkgf0uYH46ws1FnkYIC
    network-uri-2.6.3.0-H8tWQZ5lHhwEUno5kGzUbQ
    old-locale-1.0.0.7-KOGgqu8HfWChZyQBUEp1c
    random-1.1-CUqV1zxrwrE4K5XCdTZSYy
    readable-0.3.1-LwsmJydF9gxIWeKsJxAuOV
    regex-posix-0.96.0.0-IKn9BVY4w1zAUY9vuvg8Rs text-1.2.4.0 time-1.9.3
    transformers-0.5.6.2
    transformers-base-0.4.5.2-Ci5UW8jXy6D96ArXVn4JNs
    unix-compat-0.5.2-1FQI6nqgJsoGP4VQqT0w3a
    unordered-containers-0.2.10.0-3HlxCcGsbJhJz5nPy2gDvt
    vector-0.12.1.2-8Yi5LCISmVD9SvAlXGSx9t

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

